JNA API 3.3.0

## com.sun.jna.ptr
Class NativeLongByReference

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.ptr.ByReference
              com.sun.jna.ptr.NativeLongByReference

All Implemented Interfaces:
  NativeMapped

    public class NativeLongByReference

extends ByReference

Constructor Summary
`NativeLongByReference()`
`NativeLongByReference(NativeLong value)`

Method Summary
`NativeLong` | `getValue()`
`void` | `setValue(NativeLong value)`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeLongByReference

    public NativeLongByReference()

### NativeLongByReference

    public NativeLongByReference(NativeLong value)

Method Detail

### setValue

    public void setValue(NativeLong value)

### getValue

    public NativeLong getValue()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.